#ifndef AIMAGE_H
#define AIMAGE_H

#include <time.h>
#include <stdio.h>
#include <readline/readline.h>
#include <readline/history.h>

#include <unistd.h>
#include <stdlib.h>
#include <err.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <fcntl.h>
#include <string.h>
#include <signal.h>
#include <getopt.h>
#include <term.h>
#include <curses.h>
#include <ctype.h>
#include <errno.h>
#include <netdb.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <netinet/tcp.h>

#include "timer.h"

void ident(const char *infile,AFFILE *af);
void make_ata_attach_commands(char *cmd_attach,char *cmd_detach,
			  char *dev0,char *dev1,int atadev);
int  scsi_attach(char *fname,int fname_len,int scsidev); // returns 0 if successful & sets fname
extern int  scsi_bus;			// which SCSI bus we are imaging from, or -1
extern int  scsi_tid;
extern int  scsi_lun;
extern int  scsi_pass;
extern int  ata_bus;			// which ATA bus we are imaging from, or -1
extern char device_model[256];
extern char serial_number[256];
extern char firmware_revision[256];

void bold(const char *str);
void print_freespace(char *fname);
void print_freespace(int fd);

extern char *opt_title;
extern char *infile;			// data source
extern timer total_time;
extern timer write_time;
extern int opt_compress;
extern int opt_preview;
extern int compressing;

extern uint64 total_bytes_compressed;
extern uint64 total_bytes_uncompressed;



/* Needed by gui.cpp */
void gotorc(int row,int col);
void my_refresh();
void comma_printf(uint64 val,unsigned int space);

extern bool screen_cleared;

#endif

