/*
 * afflib_rand.cpp:
 *
 * The one function in AFF that requires a RNG.
 */

#include "afflib.h"
#include "afflib_i.h"


/* 
 * af_make_badflag:
 * Create a randomized bag flag and
 * leave an empty segment of how many badsectors there are
 * in the image...
 */
int af_make_badflag(AFFILE *af)
{
    RAND_pseudo_bytes(af->badflag,sizeof(af->badflag));
    strcpy((char *)af->badflag,"BAD SECTOR");

    if(af_write_seg(af,AF_BADFLAG,0,af->badflag,sizeof(af->badflag))){
	return -1;
    }
    if(af_write_segq(af,AF_BADSECTORS,0)){
	return -1;
    }
    return 0;
}


